# API Reference

This section contains the complete API reference for OpenAI Toolchain.

## Core Modules

### Main Package

::: openai_toolchain
    options:
        show_root_heading: true
        show_root_full_path: false
        show_source: true

### Submodules

- [Client](openai_toolchain/client.md) - Client for interacting with OpenAI's API
- [Tools](openai_toolchain/tools.md) - Tool registration and management
- [Registry](openai_toolchain/registry.md) - Internal tool registry
- [Types](openai_toolchain/types.md) - Type definitions

## Examples

- [Basic Usage](../examples/basic.md)
- [Async Usage](../examples/async.md)
- [Advanced Features](../examples/advanced.md)

## Additional Information

- [Changelog](../../CHANGELOG.md)
- [Contributing](../../CONTRIBUTING.md)
